---
title: HTMLTableElement.deleteCaption()
slug: Web/API/HTMLTableElement/deleteCaption
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - Method
  - NeedsSpecTable
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>HTMLTableElement.deleteCaption()</code></strong> method removes the {{HtmlElement("caption")}} element from a given {{HtmlElement("table")}}. If there is no <code>&lt;caption&gt;</code> element associated with the table, this method does nothing.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLTableElement</em>.deleteCaption()</pre>

<h2 id="Example">Example</h2>

<p>This example uses JavaScript to delete a table's caption.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html; highlight:[2]">&lt;table&gt;
  &lt;caption&gt;This caption will be deleted!&lt;/caption&gt;
  &lt;tr&gt;&lt;td&gt;Cell 1.1&lt;/td&gt;&lt;td&gt;Cell 1.2&lt;/td&gt;&lt;/tr&gt;
  &lt;tr&gt;&lt;td&gt;Cell 2.1&lt;/td&gt;&lt;td&gt;Cell 2.2&lt;/td&gt;&lt;/tr&gt;
&lt;/table&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js; highlight:[2]">let table = document.querySelector('table');
table.deleteCaption();</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-table-deletecaption', 'HTMLTableElement: deleteCaption')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.deleteCaption")}}</p>
</div>
